API DocumentationManufacturer requisition controller

Create production batches

POST
/api/manufacturer/v1/requisition/create-batches

Creates production batches for the specified parts and quantities. Idempotent: parts whose work order is already in production are skipped

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[index: integer]?

Response Body

application/json

curl -X POST "https://example.com/api/manufacturer/v1/requisition/create-batches" \  -H "Content-Type: application/json" \  -d '[    {      "requisitionId": 0,      "quantity": 0    }  ]'
[  {    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "operationName": "string",    "sequence": 0,    "requisitionId": 0,    "workOrderId": "50150040-5a5c-4c26-9d75-30728d69a42e",    "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",    "materialId": 0,    "colorId": 0,    "dispatchDate": "2019-08-24",    "requisitionDuration": 0,    "quantity": 0,    "stepId": "50e29fb7-490e-4a88-b2f4-2fde4d70423d",    "groupId": "string",    "prefix": "string",    "stepType": "string",    "orderId": 0,    "orderNumber": 0,    "threadId": 0,    "purchaseOrderNumber": "string",    "commentCount": 0,    "closedAt": "2019-08-24T14:15:22Z",    "outstandingAt": "2019-08-24T14:15:22Z",    "batchStatusId": "3b88a7ad-cddf-4275-929b-806ea4f39582",    "batchStatusName": "string"  }]
Empty